Subject: Re: linux-next: Tree for Dec 7 (x86, not SMP)

From: Don Zickus <[email-masked]>
Date: Wed, 7 Dec 2011 14:42:52 -0500

On Wed, Dec 07, 2011 at 11:10:29AM -0800, Randy Dunlap wrote:
> On 12/06/2011 10:12 PM, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Changes since 20111206:
> 
> 
> When CONFIG_SMP is not enabled:
> (I think that's the cause, but it could be some other kconfig option.)

Yeah it doesn't seem to be that one.  I think it is CONFIG_X86_LOCAL_APIC,
but I can't quickly figure out how to disable it (it keeps getting
re-enabled somewhere).

Can you attach your .config?

Thanks,
Don

> 
> 
> arch/x86/built-in.o: In function `test_nmi_ipi':
> nmi_selftest.c:(.text+0xf7a0): undefined reference to `apic'
> 
> -- 
> ~Randy
> *** Remember to use Documentation/SubmitChecklist when testing your code ***